# -*- encoding: utf-8 -*-
# stub: dependor 1.0.1 ruby lib

Gem::Specification.new do |s|
  s.name = "dependor".freeze
  s.version = "1.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Adam Pohorecki".freeze]
  s.date = "2024-03-28"
  s.description = "Dependor is not a framework for Dependency Injection, but something thatt reduces duplication a little bit when doing manual dependency injection in settings like Rails apps.".freeze
  s.email = ["adam@pohorecki.pl".freeze]
  s.files = [".gitignore".freeze, ".pelusa.yml".freeze, ".travis.yml".freeze, "Gemfile".freeze, "Gemfile.lock".freeze, "Guardfile".freeze, "MIT-LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "dependor.gemspec".freeze, "lib/dependor.rb".freeze, "lib/dependor/auto_inject.rb".freeze, "lib/dependor/auto_injector.rb".freeze, "lib/dependor/class_name_resolver.rb".freeze, "lib/dependor/constructor.rb".freeze, "lib/dependor/customized_injector.rb".freeze, "lib/dependor/dependency_names_cache.rb".freeze, "lib/dependor/evaluating_injector.rb".freeze, "lib/dependor/exceptions.rb".freeze, "lib/dependor/injectable.rb".freeze, "lib/dependor/instantiator.rb".freeze, "lib/dependor/isolate.rb".freeze, "lib/dependor/let.rb".freeze, "lib/dependor/rspec.rb".freeze, "lib/dependor/sending_injector.rb".freeze, "lib/dependor/shorty.rb".freeze, "lib/dependor/version.rb".freeze, "pelusa.sh".freeze, "spec/dependor/auto_inject_spec.rb".freeze, "spec/dependor/class_name_resolver_spec.rb".freeze, "spec/dependor/constructor_spec.rb".freeze, "spec/dependor/customized_injector_spec.rb".freeze, "spec/dependor/evaluating_injector_spec.rb".freeze, "spec/dependor/injectable_spec.rb".freeze, "spec/dependor/instantiator_spec.rb".freeze, "spec/dependor/isolate_spec.rb".freeze, "spec/dependor/let_spec.rb".freeze, "spec/dependor/shorty_spec.rb".freeze, "spec/spec_helper.rb".freeze]
  s.homepage = "http://github.com/psyho/dependor".freeze
  s.rubygems_version = "3.4.20".freeze
  s.summary = "A couple of classes and modules that simplify dependency injection in Ruby.".freeze

  s.specification_version = 3

  s.add_development_dependency(%q<rspec>.freeze, [">= 0"])
  s.add_development_dependency(%q<guard>.freeze, [">= 0"])
  s.add_development_dependency(%q<guard-rspec>.freeze, [">= 0"])
  s.add_development_dependency(%q<growl>.freeze, [">= 0"])
  s.add_development_dependency(%q<libnotify>.freeze, [">= 0"])
  s.add_development_dependency(%q<rake>.freeze, [">= 0"])
  s.add_development_dependency(%q<coveralls>.freeze, [">= 0"])
end
